Subject: Proposed RFC 1981bis clarification regarding Hop Limit decrement being orthogonal

From: Dave Thaler <[email-masked]>
Date: Wed, 6 Apr 2016 14:20:47 +0000

OLD: If any of the packets sent on that path are too large to be forwarded
OLD: by some node along the path, that node will discard them and return
OLD: ICMPv6 Packet Too Big messages [ICMPv6].

NEW: If any of the packets sent on that path are too large to be forwarded

NEW: by some node along the path (regardless of whether it decrements the Hop Limit), that node will discard them and return
NEW: ICMPv6 Packet Too Big messages [ICMPv6].

That is, just add the phrase "(regardless of whether it decrements the Hop Limit)" to the existing sentence.

Dave

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 6 Apr 2016 14:42:19 +0000

Hello Dave,

If "It" refers to the node, maybe it would be more readable to place the change at the end of the sentence?

Cheers,

Pascal

From: ipv6 [mailto:[email-masked]] On Behalf Of Dave Thaler
Sent: mercredi 6 avril 2016 11:21
To: [email-masked]
Subject: Proposed RFC 1981bis clarification regarding Hop Limit decrement being orthogonal

Dave

---

From: Dave Thaler <[email-masked]>
Date: Wed, 6 Apr 2016 14:44:27 +0000

Yes, it refers to the node, and good grammatical point.   So to take your feedback in a different spot:

NEW: by some node (regardless of whether it decrements the Hop Limit) along the path, that node will discard them and return
NEW: ICMPv6 Packet Too Big messages [ICMPv6].

I.e. moved it up to right after the first existing use of "node".

From: Pascal Thubert (pthubert) [mailto:[email-masked]]
Sent: Wednesday, April 6, 2016 11:42 AM
To: Dave Thaler <[email-masked]>; [email-masked]
Subject: RE: Proposed RFC 1981bis clarification regarding Hop Limit decrement being orthogonal

Hello Dave,

Cheers,

Pascal

From: ipv6 [mailto:[email-masked]] On Behalf Of Dave Thaler
Sent: mercredi 6 avril 2016 11:21
To: [email-masked]<mailto:[email-masked]>
Subject: Proposed RFC 1981bis clarification regarding Hop Limit decrement being orthogonal

Dave

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 11 Apr 2016 20:14:59 +0000

Hi Dave,

Section 3 of RFC1981 already says:

   "Note that Path MTU Discovery must be performed even in cases where a
   node "thinks" a destination is attached to the same link as itself.
   In a situation such as when a neighboring router acts as proxy [ND]
   for some destination, the destination can to appear to be directly
   connected but is in fact more than one hop away."

This would seem to already imply that there may be nodes on the path
that do not decrement the hopcount but could return ICMP PTBs. Do
you think this needs further clarification vis-à-vis the text you proposed?

Thanks - Fred

From: ipv6 [mailto:[email-masked]] On Behalf Of Dave Thaler
Sent: Wednesday, April 06, 2016 7:44 AM
To: Pascal Thubert (pthubert) <[email-masked]>; [email-masked]
Subject: RE: Proposed RFC 1981bis clarification regarding Hop Limit decrement being orthogonal

From: Pascal Thubert (pthubert) [mailto:[email-masked]]
Sent: Wednesday, April 6, 2016 11:42 AM
To: Dave Thaler <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: Proposed RFC 1981bis clarification regarding Hop Limit decrement being orthogonal

Hello Dave,

Cheers,

Pascal

Dave

---

From: Dave Thaler <[email-masked]>
Date: Tue, 12 Apr 2016 01:27:25 +0000

Yes because I think people in general either miss that or misinterpret that.
The text quoted might "imply" that to you but it doesn't to me.
For example, if you have a proxy that does decrement TTL, but responds to ND, then I would say that's what section 3 refers to.

From: Templin, Fred L [mailto:[email-masked]]
Sent: Monday, April 11, 2016 1:15 PM
To: Dave Thaler <[email-masked]>; Pascal Thubert (pthubert) <[email-masked]>; [email-masked]
Subject: RE: Proposed RFC 1981bis clarification regarding Hop Limit decrement being orthogonal

Hi Dave,

Thanks - Fred

From: ipv6 [mailto:[email-masked]] On Behalf Of Dave Thaler
Sent: Wednesday, April 06, 2016 7:44 AM
To: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: Proposed RFC 1981bis clarification regarding Hop Limit decrement being orthogonal

Hello Dave,

Cheers,

Pascal

Dave

---

From: Bob Hinden <[email-masked]>
Date: Wed, 13 Apr 2016 15:27:48 -0700

Dave,

> On Apr 6, 2016, at 7:44 AM, Dave Thaler <[email-masked]> wrote:
> 
> I.e. moved it up to right after the first existing use of “node”.

I am not convinced the original text needs to change.  It doesn’t limit the discarding and sending ICMPv6 PTB only to nodes that decrement the hope limit.

However, if there are folks who read the text as required the decrement action, I am OK with the clarification you propose.

Bob

> If “It” refers to the node, maybe it would be more readable to place the change at the end of the sentence?
> 
> Cheers,
> 
> Pascal
> 
> That is, just add the phrase “(regardless of whether it decrements the Hop Limit)” to the existing sentence.
> 
> Dave
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Dave Thaler <[email-masked]>
Date: Wed, 13 Apr 2016 22:45:36 +0000

I certainly believe that the clarification is needed.  I talked to someone at IETF
who was very surprised when I told them there was no such restriction.
I forget who it was offhand (maybe someone reading this thread), but the context
was around links with different MTUs to different on-link destinations (e.g., 
different segments with different MTUs).

Dave

> -----Original Message-----
> From: Bob Hinden [mailto:[email-masked]]
> Sent: Wednesday, April 13, 2016 3:28 PM
> To: Dave Thaler <[email-masked]>
> Cc: Bob Hinden <[email-masked]>; Pascal Thubert (pthubert)
> <[email-masked]>; [email-masked]
> Subject: Re: Proposed RFC 1981bis clarification regarding Hop Limit
> decrement being orthogonal
> 
> Dave,
> 
> > NEW: by some node (regardless of whether it decrements the Hop Limit)
> along the path, that node will discard them and return
> I am not convinced the original text needs to change.  It doesn’t limit the
> discarding and sending ICMPv6 PTB only to nodes that decrement the hope
> limit.
> 
> However, if there are folks who read the text as required the decrement
> action, I am OK with the clarification you propose.
> 
> Bob
> 
> 
> 
> >
> > NEW: by some node along the path (regardless of whether it decrements
> the Hop Limit), that node will discard them and return

---

From: Bob Hinden <[email-masked]>
Date: Thu, 14 Apr 2016 08:28:48 -0700

Dave,

OK, I will included it in the next update.  It is a small clarification.

Bob

> On Apr 13, 2016, at 3:45 PM, Dave Thaler <[email-masked]> wrote:
>